<?php

final class ExtensionStoreConfigOptions
  extends PhabricatorApplicationConfigOptions {

  public function getName() {
    return pht('The Extension Store');
  }

  public function getDescription() {
    return pht('Options for the Extension Store');
  }
  public function getGroup() {
    return 'extensionstore';
  }

  public function getOptions() {
    $configs = array();
    $configs[] = $this->newOption(
      'extensionstore.domain-name',
      'string',
      'store.phorge.it')
        ->setSummary(pht('Domain name for exposing the public Store.'));

    $configs[] =
      $this->newOption(
        'extensionstore.store-base-uri',
        'string',
        'https://store.phorge.it/')
          ->setSummary(pht('Base-uri name for the public Store.'))
          ->setDescription(pht('Defaults to domain-name. Useful for testing.'));


    return $configs;
  }
}
